package com.ytpm.middle.service;

import com.ytpm.general.Result;
import com.ytpm.general.ResultTable;
import com.ytpm.middle.param.WorkorderListParam;
import com.ytpm.middle.view.WorkorderVO;

public interface WorkorderService {
    /**
     * 查询工单列表
     */
    ResultTable<WorkorderVO> queryList(WorkorderListParam param);

    /**
     * 处理工单
     */
    Result<String> processWorkorder(String workorderId, String remark, String userId);

    /**
     * 查询工单详情
     */
    Result<WorkorderVO> selectOne(String workorderId);
}
